<?php

namespace App\Admin\Controllers;

use App\Admin\Repositories\ShareConfig;
use Dcat\Admin\Form;
use Dcat\Admin\Grid;
use Dcat\Admin\Show;
use Dcat\Admin\Http\Controllers\AdminController;

class ShareConfigController extends AdminController
{
    /**
     * Make a grid builder.
     *
     * @return Grid
     */
    protected function grid()
    {
        return Grid::make(new ShareConfig(), function (Grid $grid) {
            $grid->column('id')->sortable();
            $grid->column('price');
            $grid->column('withdraw_discount');
            $grid->column('withdraw_desc');
            $grid->column('is_open');
            $grid->column('created_at');
            $grid->column('updated_at')->sortable();
        
            $grid->filter(function (Grid\Filter $filter) {
                $filter->equal('id');
        
            });
        });
    }

    /**
     * Make a show builder.
     *
     * @param mixed $id
     *
     * @return Show
     */
    protected function detail($id)
    {
        return Show::make($id, new ShareConfig(), function (Show $show) {
            $show->field('id');
            $show->field('price');
            $show->field('withdraw_discount');
            $show->field('withdraw_desc');
            $show->field('is_open');
            $show->field('created_at');
            $show->field('updated_at');
        });
    }

    /**
     * Make a form builder.
     *
     * @return Form
     */
    protected function form()
    {
        return Form::make(new ShareConfig(), function (Form $form) {
            $form->display('id');
            $form->text('price');
            $form->text('withdraw_discount');
            $form->text('withdraw_desc');
            $form->text('is_open');
        
            $form->display('created_at');
            $form->display('updated_at');
        });
    }
}
